Subject: Trainer Candidate - Jagatjit Sodhi
From: Jagatjit Sodhi <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 1 Feb 2023 19:08:10 +0000

| | Tech Support Test

Name | Jagatjit Sodhi
E-mail | [email-masked]
Phone Number | (647) 2615040
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I have my own 2/4 wheeler transport
Where do you currently live (area) | Brampton, Canada

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Freelance Trainer | Senior Trainer | |
Previous Employer 1 | Ingram Micro | Account Manager | Apr 2017 |
Previous Employer 2 | SLS | National Trainer | March 2014 |

If Selected, how much time do you need to join? | 1 week
Please briefly describe your work experience specifically in Quality? | Progressive work experience in Operational Compliance, Soft Skills training, Managing Relationship development,  B2B & B2C experience with relevant industry skills & knowledge. A skilled Certified Learning & Development professional extensively involved in designing, implementing, delivering & evaluations. One on One & Group Coaching & Mentoring, assessments & evaluating individual performance based on metrics, Professional, Behavioral development & continuous improvement including new hires. Facilitate life skills & soft skills training sessions to improve participant’s career & employability/placement skills.
Have you worked as a Quality Manager in a Call Center/Customer Service/BPO Environment? | Yes
Please tell us below in 300 - 500 words about the most difficult situation in your experience as someone who is responsible to manage and bring improvements in quality of your team | There have been a lot of situations where I have been called by various organizations to build strong teams & bring in a team culture. I have used different formats of trainings including outbound trainings as well for stronger teams. One of them which stands out is where I was one of the trainers given the responsibility of remodeling the process training module of Mercedes Benz India as per the Indian market and the clients. This module was originally developed in Germany as per that market. It had various modules which also included collaboration of various people working in different departments to be able to come together to make a difference and give a delightful customer experience. I was able to contribute to a large extent leveraging my experience and expertise and that module we finally launched in India, after a lot of brainstorming sessions, on the basis of which the entire work force was trained and we had an amazing ROI

What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences)

Understanding Customer hidden needs
The value that your product brings to them and the value that you bring to them
The Features Advantages & Benefits
Going that extra mile and giving your clients that delightful experience

What according to you makes you a good candidate for this position? | Attention to detail, An eye for improvement, Listening skills, enriching experience & ability to mentor people for improvement for that next level
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |